package in.techware.carrefour.activity.receive;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import in.techware.carrefour.R;
import in.techware.carrefour.util.AppConstants;

public class OffsiteToStoreActivity extends AppCompatActivity {

    EditText qtyEditText;
    EditText barcodeEditText;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_offsite_to_store);

        qtyEditText = findViewById(R.id.etxt_waste_quantity);
        barcodeEditText = findViewById(R.id.etxt_barcode);
        handleKeyboard();
    }

    private void handleKeyboard() {
        if (getSharedPreferences(AppConstants.PREF_FILE, 0).getBoolean(AppConstants.KEYBOARD_STATUS, false)){
            barcodeEditText.setFocusableInTouchMode(true);
            qtyEditText.setFocusableInTouchMode(true);
        }
    }

    public void clickOnBack(View v){
        finish();
    }
    public void clickOnModify(View v){
        finish();
    }
}
